Subject: Re: Erreur commande override sous Ubuntu&co.

From: "Nicolas Hussein" <[email-masked]>
Date: Sun, 1 Aug 2010 11:07:49 +0200 (Paris, Madrid (heure d'été))

Bonjour,

Merci pour ces éléments de réponse.

Impossible de mettre à jour ma distribution : ce n'est pas Ubuntu
directement mais gNewSense, dont la dernière version stable est basée sur
Hardy.

La prochaine version stable est prévue d'ici quelques mois, mais en
attendant... je vais donc mettre à jour Lilypond à la main, et tant pis si
ce n'est pas propre :-) Au moins, je bénéficierai des évolutions
importantes entre la 2.10 et la 2.12 !

Merci et bonne journée,
Nicolas

-- 
Professionnels et passionnés des transports publics
d'Île-de-France - <http://www.metro-pole.net>

> 2010/7/31 Nicolas Hussein <[email-masked]> :
>
>> Bonsoir,
>>
>> Je rencontre actuellement le problÃ¨me qui a Ã©tÃ© Ã©voquÃ© dans ce
>> vieux
>> message :
>> http://lilypond-french-users.1298960.n2.nabble.com/erreurs-de-type-sur-ubuntu-tt1376247.html#a1376247
>>
>> Je suis sous gNewSense 2, dÃ©rivÃ©e de Ubuntu Hardy, et j'utilise la
>> version 2.10.33 de Lilypond (version par dÃ©faut sur les serveurs de
>> gNS)
>>
>> Je joins Ã  ce message la structure de mon fichier (j'ai retirÃ© le code
>> contenant les notes, pour ne pas surcharger l'ensemble). La compilation
>> donne exactement la mÃªme erreur :
>>
>> AVERTISSEMENT : la vÃ©rification du type de Â« padding Â» a Ã©chouÃ© ;
>> Â  la valeur Â« #<unspecified> Â» doit Ãªtre du type Â« dimension, in
>> staff
>> space Â»
>>
>> Et Ã©videmment les modifications ne sont pas prises en compte (dans mon
>> cas, les numÃ©ros de mesures sont noyÃ©s dans les crochets, et les noms
>> des instruments sont trop Ã  droite).
>>
>> Ce qui m'Ã©tonne, c'est que le mÃªme type de code avait parfaitement
>> fonctionnÃ© pour une autre partition il y a environ deux ans, sur le
>> mÃªme ordinateur, avec la mÃªme version de Lilypond et le mÃªme systÃ¨me
>> Linux.
>>
>> Auriez-vous une solution pour rÃ©soudre ou contourner ce problÃ¨me ?
>
> Pour rÃ©soudre pas vraiment, pour contourner oui : utiliser une version
> rÃ©cente de LilyPond !  ;-D
>
> La derniÃ¨re version stable est la 2.12.3.
> Il y a un script d'installation pour Linux x86 tÃ©lÃ©chargeable ici :
> http://lilypond.org/install/  et qui fonctionne trÃ¨s bien.
>
> Bon, le seul dÃ©savantage est que la mise Ã  jour de LilyPond ne sera
> plus gÃ©rÃ©e par ton gestionnaire de paquets.
>
> Une autre solution (contournement) serait de mettre Ã  jour ta
> distribution (hardy -> intrepid -> karmic -> lucid), tu auras une
> version de LilyPond plus Ã  jour dans les dÃ©pÃ´ts.
>
> Difficile de rÃ©soudre ton problÃ¨me autrement, je pense que trÃ¨s peu de
> personnes sur cette liste utilisent encore la 2.10.33.
> Si Ã§a tombe ce problÃ¨me est (Ã©tait) un bug spÃ©cifique Ã  cette
> version.
>
> La compilation de ton fichier ne donne aucune erreur avec la derniÃ¨re
> version...
>
> Cordialement,
> Xavier
>
> --
> Xavier Scheuer <[email-masked]>
>

---

From: Xavier Scheuer <[email-masked]>
Date: Sun, 1 Aug 2010 10:50:54 +0200

2010/7/31 Nicolas Hussein <[email-masked]> :

> Bonsoir,
>
> Je rencontre actuellement le problème qui a été évoqué dans ce vieux
> message :
> Je suis sous gNewSense 2, dérivée de Ubuntu Hardy, et j'utilise la
> version 2.10.33 de Lilypond (version par défaut sur les serveurs de
> gNS)
>
> Je joins à ce message la structure de mon fichier (j'ai retiré le code
> donne exactement la même erreur :
>
> AVERTISSEMENT : la vérification du type de « padding » a échoué ;
>   la valeur « #<unspecified> » doit être du type « dimension, in staff
> space »
>
> Et évidemment les modifications ne sont pas prises en compte (dans mon
> cas, les numéros de mesures sont noyés dans les crochets, et les noms
> des instruments sont trop à droite).
>
> Ce qui m'étonne, c'est que le même type de code avait parfaitement
> fonctionné pour une autre partition il y a environ deux ans, sur le
> même ordinateur, avec la même version de Lilypond et le même système
> Linux.
>
> Auriez-vous une solution pour résoudre ou contourner ce problème ?

Pour résoudre pas vraiment, pour contourner oui : utiliser une version
récente de LilyPond !  ;-D

La dernière version stable est la 2.12.3.
Il y a un script d'installation pour Linux x86 téléchargeable ici :
http://lilypond.org/install/  et qui fonctionne très bien.

Bon, le seul désavantage est que la mise à jour de LilyPond ne sera
plus gérée par ton gestionnaire de paquets.

Une autre solution (contournement) serait de mettre à jour ta
distribution (hardy -> intrepid -> karmic -> lucid), tu auras une
version de LilyPond plus à jour dans les dépôts.

Difficile de résoudre ton problème autrement, je pense que très peu de
personnes sur cette liste utilisent encore la 2.10.33.
Si ça tombe ce problème est (était) un bug spécifique à cette version.

La compilation de ton fichier ne donne aucune erreur avec la dernière
version...

Cordialement,
Xavier

---

From: Martial <[email-masked]>
Date: Sun, 01 Aug 2010 22:43:34 +0200

> Si ça tombe ce problème est (était) un bug spécifique à cette version.

En tout cas j'ai installé la 2.10.33 sous Windows pour tester et
tant pis tant mieux  pas de message d'erreur lors de la compilation du 
fichier exemple.ly

--
Martial